Summary: Program for browsing the periodic table
Name: gperiodic
Version: 2.0.10
Release: 6%{?dist}
License: GPLv2+
Group: Applications/Engineering
URL: http://www.frantz.fi/software/gperiodic.php
Source: http://www.frantz.fi/software/gperiodic-%{version}.tar.gz
Patch0: gperiodic-bh.patch
Patch1: gtk.patch
Patch2: %{name}-2.0.10-optflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel, desktop-file-utils, gettext, 

%description
Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}

%makeinstall
desktop-file-install \
   --delete-original \
   --vendor=fedora   \
   --add-category X-Fedora \
   --add-category Science \
   --add-category Chemistry \
   --remove-category Chemestry \
   --dir %{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/gperiodic.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)

%{_bindir}/gperiodic
%{_datadir}/applications/fedora-gperiodic.desktop
%{_datadir}/pixmaps/gperiodic.png
%{_datadir}/pixmaps/gperiodic-crystal.png


%doc README AUTHORS ChangeLog gpl.txt

%changelog
* Thu May  7 2009 Ville Skyttä <ville.skytta at iki.fi> - 2.0.10-6
- Patch to build with $RPM_OPT_FLAGS.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.10-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.10-3
- Autorebuild for GCC 4.3

* Sat Sep 08 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 2.0.10-2
- Patch to erase DGTK_DISABLE_DEPRECATED flag from the Makefile

* Sat Sep 08 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 2.0.10-1
- New upstream version

* Sat May 05 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 2.0.8-8
- Rebuild

* Thu Nov 09 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-7
- Correct information for "Bh", Bohrium

* Thu Nov 09 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-6
- Rebuild for distag problem

* Thu Nov 09 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-5
- Modify URL in package descrpition and source

* Tue Feb 14 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-4
- Rebuild for FC5

* Fri Feb 10 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-3
- Rebuild for FC5

* Mon Oct 24 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-2
- Applied patch file : 
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120301

* Sun Oct 23 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-1
- Initial build
